#!/bin/sh

MIBA_DIR=`dirname $0`

CLASSPATH="$MIBA_DIR/mibasmserver.jar"

for LIB in $MIBA_DIR/lib/* ; do
    CLASSPATH="$CLASSPATH:$LIB"
done

java -cp "$CLASSPATH" de.hphalle.mibasmserver.MibaSmServerStarter "$@"

while [ $? -eq 163 ]; do
  java -cp "$CLASSPATH" de.hphalle.mibasmserver.MibaSmServerStarter "$@"
done
